/* GTK - The GIMP Toolkit
 * Copyright (C) 1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald
 *
 * gtkemuvt102: vt102 emulation for GtkTty
 * Copyright (C) 1997 Tim Janik
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __GTK_EMU_VT102_H__
#define __GTK_EMU_VT102_H__


#include "gtktty.h"


#ifdef __cplusplus
extern "C" {
#pragma }
#endif /* __cplusplus */


/* --- prototypes --- */
gpointer	gtk_emu_vt102_new	    (void);
guint		gtk_emu_vt102		    (GtkTty		*tty,
					     gpointer		write_func_data,
					     guchar		*buffer,
					     guint		count);
gchar*		gtk_emu_vt102_reset	    (GtkTty		*tty,
					     gpointer		write_func_data,
					     gboolean		blank_screen);
void		gtk_emu_vt102_free	    (gpointer		write_func_data);






#ifdef __cplusplus
#pragma {
}
#endif /* __cplusplus */


#endif /* __GTK_EMU_VT102_H__ */
